Re-import repository keys for BDR and pglogical apt repositories failure

No, the key is installed but it keeps expired. No errors.
I ran into the same problem. It looks like they haven't renewed their keys. In order to get my install scripts to work, I had to change my repository line to:
echo 'deb [allow-insecure=yes allow-downgrade-to-insecure=yes] http://packages.2ndquadrant.com/bdr/apt/ stretch-2ndquadrant main' >> /etc/apt/sources.list.d/2ndquadrant.list
and then the install line:
apt-get install -y --allow-unauthenticated sudo postgresql-bdr-9.4 postgresql-bdr-9.4-bdr-plugin postgresql-bdr-contrib-9.4

Not ideal, but it works.